"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.bootstrap = exports.Application = void 0;
const logger_1 = require("../logger");
const Application_1 = __importDefault(require("./Application"));
exports.Application = Application_1.default;
const express = require("express");
const bootstrap = async (config) => {
    try {
        logger_1.logger.log('Start bootstrapping the application', 'bootstrap');
        const csApp = new Application_1.default(config);
        const server = await csApp.buildServer();
        const { port } = config;
        const expressApp = express();
        expressApp.use('/health', (req, res, next) => res.json());
        server.applyMiddleware({ app: expressApp });
        expressApp.listen({ port }, () => {
            logger_1.logger.log(`Server is running on http://localhost:${port}`, 'bootstrap');
        });
    }
    catch (error) {
        logger_1.logger.error(error, error.stack, 'bootstrap', config);
        process.exit(0);
    }
};
exports.bootstrap = bootstrap;
//# sourceMappingURL=index.js.map